%define name	ggz-gtk-client
%define version 0.0.13
%define release %mkrel 4


%define libname %mklibname %{name}

%define libggz_version %{version}

%define ggz_client_libs_version %{version}

Name:		%{name}
Summary:	GGZ Client with GTK+ user interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggzgamingzone.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel = %{libggz_version}
BuildRequires:	ggz-client-libs-devel = %{ggz_client_libs_version}
BuildRequires:	gtk+2-devel desktop-file-utils
Requires:	libggz = %{libggz_version}
Requires:	ggz-client-libs = %{ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{libname}
Summary:	GGZ Library client with GTK+ user interface
Group:		Games/Other
Provides:	%{libname} = %{version}

%description -n	%{libname}
The official GGZ Gaming Zone client with GTK+ user interface.

%package -n	%{libname}-devel
Summary:	Development files for GGZ Gaming Zone client with GTK+ user interface
Group:		Development/Other
Requires:	%{libname} = %{version}
Requires:	libggz-devel = %{libggz_version}
Provides: 	%{libname}-devel

%description -n	%{libname}-devel
The GGZ client libraries are necessary for running and/or developing
GGZ Gaming Zone clients and games.

This package contains headers and other development files used for
building GGZ Gaming Zone GTK2+ client.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir="\${prefix}/share" \
	--with-libggz-libraries=%{_libdir} \
	--with-ggzcore-libraries=%{_libdir} \
	--with-ggzmod-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
install -d -m 0755 %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<_EOF_
?package(%{name}): \
 command="%{_gamesbindir}/ggz-gtk" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with GTK+ interface" \
 needs="x11" \
 section="More Applications/Games/Other" \
 title="GGZ GTK+ Game Client" \
 xdg="true"
_EOF_

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Other;Game" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang ggz-gtk

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f ggz-gtk.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO README.GGZ QuickStart.GGZ
%{_gamesbindir}/ggz-gtk
%{_datadir}/applications/*
%{_datadir}/ggz/ggz-gtk/*
%{_mandir}/man?/*
%{_menudir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libggz-gtk.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so


%changelog
* Sat Sep 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-3mdv2007.0
- buildrequires desktop-file-utils
- fix devel package

* Sat Sep 02 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-3mdv2007.0
- xdg menu
- fix x86_64 build

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-2mdk
- spec cleanup
- fix need of devel packages for main one

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.13-1mdk
- New version
- mkrel
- drop patch 0 and 1
- libification

* Sat Nov 27 2004 Abel Cheung <deaddog@mandrake.org> 0.0.9-1mdk
- New version
- Drop P1 (UK server = default server)
- New P1: remove duplicated function declaration to fix build

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Modify patch1 to add UK server to default server list

* Fri Sep  5 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: fix DESTDIR support
- Patch1: Use existing servers by default, old servers are no more
- No need to mess with _datadir anymore
- BuildRequires and Requires redone, to make it 64-bit arch aware
- Add menu entry
- find_lang
- Clients require game modules

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 Andi Payn <payn@myrealbox.net>
- Updated to 0.0.6
- Minor Mandrakization (manpages are .bz2)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Debug should be off for release - added pixmap dir

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Sep 14 2001 Jason Short <jdorje@users.sourceforge.net>
- Updated for 0.0.5pre version.

* Sun Apr 22 2001 Rich Gade <rgade@users.sourceforge.net>
- Updated for new distro name ggz-gtk-client

* Tue Mar 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
